Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat
Class Transcription

    java.lang.Object
      nat.Transcription

    public class Transcription

extends java.lang.Object

Field Summary
`private Convertisseur` | `conv`
`(package private) GestionnaireErreur` | `gest`
`private Presentateur` | `pres`
`(package private) java.lang.String` | `sortie`
`(package private) java.lang.String` | `source`
`private Transcodeur` | `trans`

Constructor Summary
`Transcription()`

Method Summary
`void` | `setCible(java.lang.String c)`
`void` | `setConvertisseur(Convertisseur c)`
`void` | `setGestionnaireErreur(GestionnaireErreur g)`
`void` | `setPresentateur(Presentateur p)`
`void` | `setSource(java.lang.String s)`
`void` | `setTranscodeur(Transcodeur t)`
`boolean` | `transcrire()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### conv

    private Convertisseur conv

### trans

    private Transcodeur trans

### pres

    private Presentateur pres

### source

    java.lang.String source

### sortie

    java.lang.String sortie

### gest

    GestionnaireErreur gest

Constructor Detail

### Transcription

    public Transcription()

Method Detail

### setConvertisseur

    public void setConvertisseur(Convertisseur c)

### setTranscodeur

    public void setTranscodeur(Transcodeur t)

### setPresentateur

    public void setPresentateur(Presentateur p)

### setGestionnaireErreur

    public void setGestionnaireErreur(GestionnaireErreur g)

### setSource

    public void setSource(java.lang.String s)

### setCible

    public void setCible(java.lang.String c)

### transcrire

    public boolean transcrire()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD